Skip to main content
PUT
Update customer file

Authorizations

X-App-Id
string
header
required

App ID for authentication

X-Api-Key
string
header
required

API Key for authentication

Path Parameters

customer_id
string<uuid>
required

The UUID of the customer

id
integer
required

The ID of the file

Body

application/json
label
enum<string>

Allowed labels for customer files.

Available options:
credit_application,
personal_guarantee,
financial_statements,
credit_report,
sales_service_agreement,
payment_terms_agreement,
guarantee_security_agreement,
reseller_certificate,
non_disclosure_agreement,
tax_exemption_certificate,
business_license,
insurance_certificate,
shipping_contract,
bill_of_lading,
delivery_receipt,
memo,
customer_correspondence,
dispute_documentation,
other
filename
string

New filename for the file

Response

File updated. Note: this endpoint returns the file object directly, not wrapped in a file key (unlike GET, POST, and DELETE on this resource). Kept this way for v1 backwards compatibility.

id
integer
label
enum<string>

Allowed labels for customer files.

Available options:
credit_application,
personal_guarantee,
financial_statements,
credit_report,
sales_service_agreement,
payment_terms_agreement,
guarantee_security_agreement,
reseller_certificate,
non_disclosure_agreement,
tax_exemption_certificate,
business_license,
insurance_certificate,
shipping_contract,
bill_of_lading,
delivery_receipt,
memo,
customer_correspondence,
dispute_documentation,
other
label_name
string

Human-readable name for the label.

category
string

Category of the file.

url
string<uri>

URL to download the file.

filename
string
created_at
string<date-time>
updated_at
string<date-time>